Summary:	X Randr extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X Randr
Name:		xorg-lib-libXrandr
Version:	1.4.0
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXrandr-%{version}.tar.bz2
# Source0-md5:	0c843636124cc1494e3d87df16957672
URL:		http://xorg.freedesktop.org/
Requires:	xorg-lib-libX11 >= 1.4.99.1
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-proto-randrproto-devel >= 1.4
BuildRequires:	xorg-util-util-macros >= 1.8
Obsoletes:	libXrandr
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Resize and Rotate extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X Resize and Rotate, służącego do zmiany
rozmiaru i obracania ekranu X.

%package devel
Summary:	Header files for libXrandr library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXrandr
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXrender-devel
Requires:	xorg-proto-randrproto-devel >= 1.4
Obsoletes:	libXrandr-devel

%description devel
X Resize and Rotate extension library.

This package contains the header files needed to develop programs that
use libXrandr.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X Resize and Rotate, służącego do zmiany
rozmiaru i obracania ekranu X.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXrandr.

%package static
Summary:	Static libXrandr libraries
Summary(pl.UTF-8):	Biblioteki statyczne libXrandr
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXrandr-static

%description static
X Resize and Rotate extension library.

This package contains the static libXrandr library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X Resize and Rotate, służącego do zmiany
rozmiaru i obracania ekranu X.

Pakiet zawiera statyczną bibliotekę libXrandr.

%prep
%setup -q -n libXrandr-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXrandr.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXrandr.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXrandr.so
%{_libdir}/libXrandr.la
%{_includedir}/X11/extensions/Xrandr.h
%{_pkgconfigdir}/xrandr.pc
%{_mandir}/man3/XRR*.3x*
%{_mandir}/man3/Xrandr.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXrandr.a
%changelog
* Wed Feb 13 2013 Tomasz Pala <gotar@pld-linux.org> a9ea473
R: xorg-lib-libX11 having _XGetRequest

* Thu Jul 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 4a7de08
- updated to 1.4.0

* Thu Jun 30 2011 Jakub Bogusz <qboosh@pld-linux.org> c697f85
- updated to 1.3.2

* Thu Oct 28 2010 Jakub Bogusz <qboosh@pld-linux.org> 4509a93
- updated to 1.3.1

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 62b5232
- rebuild
- rel 3

* Mon Jun 15 2009 hawk <hawk@pld-linux.org> c892bb3
- release 2

* Mon Mar 23 2009 Jakub Bogusz <qboosh@pld-linux.org> 58e0b15
- xorg macros 1.2 required

* Mon Mar 23 2009 Jakub Bogusz <qboosh@pld-linux.org> 47d28a2
- updated randrproto dep in -devel

* Fri Mar 06 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7016fc9
- up to 1.3.0

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 5e82758
- updated to 1.2.99.4
- proper xorg-proto-randrproto-devel version in BR
- fixed previous commit msg

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 1972241
- updated to 1.2.99.3

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ac5fcb
- up to 1.2.91

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> da7b03f
- release 2

* Wed Jul 09 2008 Jakub Bogusz <qboosh@pld-linux.org> fa3cb07
- ghost soname symlink
- updated randrproto dep in -devel

* Wed Jul 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5716f9d
- up to 1.2.3

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 5b728c1
- updated to 1.2.2

* Mon Mar 05 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> c742d17
- merged upstream

* Mon Mar 05 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d18b86
- up to 1.2.1; c++ patch merged

* Tue Feb 20 2007 qrczak <qrczak@pld-linux.org> 1409c58
- xorg-lib-libXrandr-c++.patch: avoid C++ keywords in headers (for kdebase)
- Release 3

* Mon Feb 19 2007 Szymon Siwek <sls@pld-linux.org> 8582262
- BR: xorg-proto-randrproto-devel >= 1.2

